
%global meadversion 3.2.3
%global namedversion 3.2.3.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package apache-cxf-xjc-utils}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.2.3.redhat-00002

Name:           %{?scl_prefix}apache-cxf-xjc-utils
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache CXF XJC Utils
# FIXME: not in POM
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xjc-utils-3.2.3.redhat-00002-project-sources.tar.gz
Source102: cxf-xjc-bug986-3.2.3.redhat-00002-sources.jar
Source103: cxf-xjc-wsdlextension-test-3.2.3.redhat-00002.pom
Source104: cxf-xjc-plugin-3.2.3.redhat-00002-javadoc.jar
Source105: cxf-xjc-wsdlextension-test-3.2.3.redhat-00002-sources.jar
Source106: cxf-xjc-plugin-3.2.3.redhat-00002.jar
Source107: cxf-xjc-bug986-3.2.3.redhat-00002.pom
Source108: cxf-xjc-wsdlextension-3.2.3.redhat-00002.jar
Source109: cxf-xjc-boolean-3.2.3.redhat-00002-sources.jar
Source110: cxf-xjc-ts-test-3.2.3.redhat-00002.jar
Source111: cxf-xjc-ts-3.2.3.redhat-00002.jar
Source112: cxf-xjc-dv-3.2.3.redhat-00002.jar
Source113: cxf-xjc-pl-3.2.3.redhat-00002.jar
Source114: cxf-xjc-pl-3.2.3.redhat-00002-javadoc.jar
Source115: cxf-xjc-boolean-3.2.3.redhat-00002.jar
Source116: cxf-xjc-wsdlextension-test-3.2.3.redhat-00002.jar
Source117: cxf-xjc-wsdlextension-3.2.3.redhat-00002-javadoc.jar
Source118: cxf-xjc-pl-3.2.3.redhat-00002.pom
Source119: cxf-xjc-boolean-test-3.2.3.redhat-00002-sources.jar
Source120: cxf-xjc-ts-3.2.3.redhat-00002.pom
Source121: cxf-xjc-javadoc-3.2.3.redhat-00002.pom
Source122: cxf-xjc-javadoc-3.2.3.redhat-00002.jar
Source123: cxf-xjc-ts-test-3.2.3.redhat-00002.pom
Source124: cxf-xjc-bug671-3.2.3.redhat-00002-javadoc.jar
Source125: cxf-xjc-javadoc-3.2.3.redhat-00002-sources.jar
Source126: cxf-xjc-boolean-test-3.2.3.redhat-00002.jar
Source127: cxf-xjc-wsdlextension-3.2.3.redhat-00002-sources.jar
Source128: cxf-xjc-boolean-test-3.2.3.redhat-00002.pom
Source129: cxf-xjc-dv-test-3.2.3.redhat-00002-sources.jar
Source130: cxf-xjc-plugin-3.2.3.redhat-00002-sources.jar
Source131: cxf-xjc-wsdlextension-3.2.3.redhat-00002.pom
Source132: cxf-xjc-dv-3.2.3.redhat-00002-javadoc.jar
Source133: xjc-utils-3.2.3.redhat-00002.pom
Source134: cxf-xjc-dv-3.2.3.redhat-00002-sources.jar
Source135: cxf-xjc-bug671-3.2.3.redhat-00002.jar
Source136: cxf-xjc-bug671-3.2.3.redhat-00002-sources.jar
Source137: cxf-xjc-ts-3.2.3.redhat-00002-sources.jar
Source138: cxf-xjc-runtime-3.2.3.redhat-00002.jar
Source139: cxf-xjc-bug986-3.2.3.redhat-00002.jar
Source140: cxf-xjc-ts-3.2.3.redhat-00002-javadoc.jar
Source141: cxf-xjc-dv-3.2.3.redhat-00002.pom
Source142: cxf-xjc-runtime-3.2.3.redhat-00002.pom
Source143: cxf-xjc-dv-test-3.2.3.redhat-00002.pom
Source144: cxf-xjc-plugin-3.2.3.redhat-00002.pom
Source145: cxf-xjc-bug671-3.2.3.redhat-00002.pom
Source146: cxf-xjc-runtime-3.2.3.redhat-00002-sources.jar
Source147: cxf-xjc-boolean-3.2.3.redhat-00002-javadoc.jar
Source148: cxf-xjc-javadoc-3.2.3.redhat-00002-javadoc.jar
Source149: cxf-xjc-pl-3.2.3.redhat-00002-sources.jar
Source150: cxf-xjc-ts-test-3.2.3.redhat-00002-sources.jar
Source151: cxf-xjc-dv-test-3.2.3.redhat-00002.jar
Source152: cxf-xjc-runtime-3.2.3.redhat-00002-javadoc.jar
Source153: cxf-xjc-boolean-3.2.3.redhat-00002.pom
Source154: cxf-xjc-bug986-3.2.3.redhat-00002-javadoc.jar
%endif

URL:            http://cxf.apache.org
Requires:       %{?scl_prefix}cxf-xjc-boolean = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}cxf-xjc-bug986 = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}cxf-xjc-dv = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}cxf-xjc-ts = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}cxf-xjc-runtime = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xjc-utils-%{namedversion}-%{release}-root

%description
%{summary}.

%if 0
%package -n %{?scl_prefix}xjc-utils
Summary:        Apache CXF XJC Utils
Group:          Development/Java

Obsoletes:      %{?scl_prefix}apache-cxf-xjc-utils < 0:2.6.0-3

%description -n %{?scl_prefix}xjc-utils
%{summary}.
%endif

%package -n %{?scl_prefix}cxf-xjc-dv
Summary:        Apache CXF XJC Default Value Plugin
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix}xjc-utils = %{epoch}:%{version}-%{release}
%endif

%description -n %{?scl_prefix}cxf-xjc-dv
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-ts
Summary:        Apache CXF XJC toString Plugin
Group:          Development/Java

#Requires:       %{?scl_prefix}xjc-utils = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}cxf-xjc-ts
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-boolean
Summary:        Apache CXF XJC Boolean Getter Plugin
Group:          Development/Java


%description -n %{?scl_prefix}cxf-xjc-boolean
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-wsdlextension
Summary:        Apache CXF XJC WSDL Extension Plugin
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix}xjc-utils = %{epoch}:%{version}-%{release}
%endif

%description -n %{?scl_prefix}cxf-xjc-wsdlextension
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-bug986
Summary:        Apache CXF XJC Plugin To Workaround JAXB Bug 986
Group:          Development/Java

Requires:       %{?scl_prefix_eap}commons-lang >= 0:2.6

%description -n %{?scl_prefix}cxf-xjc-bug986
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-pl
Summary:        Apache CXF XJC Property Listener Plugin
Group:          Development/Java


%description -n %{?scl_prefix}cxf-xjc-pl
%{summary}.

%package -n %{?scl_prefix}cxf-xjc-runtime
Summary:        Apache CXF XJC Runtime
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}jaxb-api >= 0:2.2.12
%endif

%description -n %{?scl_prefix}cxf-xjc-runtime
%{summary}.

%if %with javadoc
%package -n %{?scl_prefix}xjc-utils-javadoc
Summary:        Javadoc for xjc-utils
Group:          Development/Documentation


%description -n %{?scl_prefix}xjc-utils-javadoc
%{summary}.
%endif

%prep
%setup -q -n xjc-utils-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-dv-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-dv-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-ts-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-ts-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-boolean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-boolean-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-bug986-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-bug986-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-bug986-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-bug986-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-bug986-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-bug986-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-pl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-pl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/cxf-xjc-runtime-%{namedversion}.jar %{buildroot}%{_javadir}/cxf-xjc-runtime-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/cxf-xjc-runtime-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/cxf-xjc-runtime-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/cxf-xjc-runtime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/cxf-xjc-runtime-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xjc-utils-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xjc-utils-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xjc-utils-%{namedversion} -x META-INF/\*
%{__ln_s} xjc-utils-%{namedversion} %{buildroot}%{_javadocdir}/xjc-utils
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%if 0
%files -n %{?scl_prefix}xjc-utils
%defattr(0644,root,root,0755)
%endif

%files -n %{?scl_prefix}cxf-xjc-dv
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-dv-%{namedversion}.jar
%{_javadir}/cxf-xjc-dv.jar
%if %with javadoc
%exclude %{_javadir}/cxf-xjc-dv-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-dv-javadoc.jar
%endif
%{_javadir}/cxf-xjc-dv-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-dv-sources.jar

%files -n %{?scl_prefix}cxf-xjc-ts
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-ts-%{namedversion}.jar
%{_javadir}/cxf-xjc-ts.jar
%if %with javadoc
%exclude %{_javadir}/cxf-xjc-ts-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-ts-javadoc.jar
%endif
%{_javadir}/cxf-xjc-ts-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-ts-sources.jar

%files -n %{?scl_prefix}cxf-xjc-boolean
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-boolean-%{namedversion}.jar
%{_javadir}/cxf-xjc-boolean.jar
%if %with javadoc
%exclude %{_javadir}/cxf-xjc-boolean-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-boolean-javadoc.jar
%endif
%{_javadir}/cxf-xjc-boolean-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-boolean-sources.jar

%files -n %{?scl_prefix}cxf-xjc-wsdlextension
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}.jar
%{_javadir}/cxf-xjc-wsdlextension.jar
%if %with javadoc
%exclude %{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-wsdlextension-javadoc.jar
%endif
%{_javadir}/cxf-xjc-wsdlextension-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-wsdlextension-sources.jar

%files -n %{?scl_prefix}cxf-xjc-bug986
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-bug986-%{namedversion}.jar
%{_javadir}/cxf-xjc-bug986.jar
%if %with javadoc
%{_javadir}/cxf-xjc-bug986-%{namedversion}-javadoc.jar
%{_javadir}/cxf-xjc-bug986-javadoc.jar
%endif
%{_javadir}/cxf-xjc-bug986-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-bug986-sources.jar

%files -n %{?scl_prefix}cxf-xjc-pl
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-pl-%{namedversion}.jar
%{_javadir}/cxf-xjc-pl.jar
%if %with javadoc
%exclude %{_javadir}/cxf-xjc-pl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/cxf-xjc-pl-javadoc.jar
%endif
%{_javadir}/cxf-xjc-pl-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-pl-sources.jar

%files -n %{?scl_prefix}cxf-xjc-runtime
%defattr(0644,root,root,0755)
%{_javadir}/cxf-xjc-runtime-%{namedversion}.jar
%{_javadir}/cxf-xjc-runtime.jar
%if %with javadoc
%{_javadir}/cxf-xjc-runtime-%{namedversion}-javadoc.jar
%{_javadir}/cxf-xjc-runtime-javadoc.jar
%endif
%{_javadir}/cxf-xjc-runtime-%{namedversion}-sources.jar
%{_javadir}/cxf-xjc-runtime-sources.jar

%if %with javadoc
%files -n %{?scl_prefix}xjc-utils-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xjc-utils-%{namedversion}
%{_javadocdir}/xjc-utils
%endif

%changelog
* Mon Mar 18 2019 Neil Wallace <nwallace@redhat.com> - 3.2.3-2.redhat_00002.1
- 3.2.3.redhat-00002

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 3.2.3-1.redhat_00001.1
- 3.2.3.redhat-00001

* Tue Oct 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.2.2-1.redhat_00001.1
- upgrade to 3.2.2.redhat-00001

* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 3.1.0-1.redhat_1.1
- Wrapper for EAP 7.2.0

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 3.0.5-3.redhat_2.1
- upgrade to 3.0.5.redhat-2

* Tue Jan 12 2016 David Walluck <dwalluck@redhat.com> - 3.0.5-2.redhat_1.1
- add cxf-xjc-bug986 and cxf-xjc-runtime jars

* Thu Sep 17 2015 Fernando Nasser <fnasser@redhat.com> - 3.0.3-2.redhat_2.1
- Remove bogus and empty xjc-utils subpackage

* Fri Jul 03 2015 Yong Yang <yyang@redhat.com> - 3.0.3-1.redhat_2.1
- Wrapper 3.0.3.redhat-1

* Fri Jul 03 2015 Yong Yang <yyang@redhat.com> - 3.0.3-1.redhat_1.1
- Wrapper 3.0.3.redhat-1

* Fri Jul 03 2015 Yong Yang <yyang@redhat.com> - 3.0.3-1.redhat_1.1
- Wrapper 3.0.3.redhat-1

* Fri Jul 03 2015 Yong Yang <yyang@redhat.com> - 3.0.3-1.redhat_1.1
- Wrapper 3.0.3.redhat-1

* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 2.6.1-3.redhat_1.1
- create empty main package

* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 2.6.1-2.redhat_1.1
- create xjc-utils package
- remove 6 (of 7) Requires which appear to be bogus

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_4
- Include source jar
- No javadoc package

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_3
- Re-create patch to use apache-parent, fix BZ 988716

* Tue Jul 16 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_2
- Rebuild for EAP 6.1.1

* Fri Feb 22 2013 Yong Yang <yyang@redhat.com> - 2.6.0-1.redhat_1
- 2.6.0

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-11.redhat_2.4
- Rebuild for MD5

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.4
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_2.2
- Rebuild unsigned

* Tue Jul 31 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10.redhat_1.1
- Fix release tag

* Wed Jul 25 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-10_redhat_1.1
- Rebuild unsigned

* Wed Jul 25 2012 Hui Wang <huwang@redhat.com> - 2.4.0-10_redhat_1
- First mead build 
- Fix direcotry of jar installation

* Fri May 04 2012 Hui Wang <huwang@redhat.com> - 2.4.0-9_redhat_1
- Update pom patch to remove repositories
- BR codemodel, istack-commons, xsom, dtd-parser, txw2, txwc2 and rngom which glassfish-jaxb depdends on

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 2.4.0-8_redhat_1.3.1
- Rebuild using cache signing

* Mon Mar 25 2012 Yong Yang <yyang@redhat.com> - 0:2.4.0-8_redhat_1.2
- Update vman patch, set the wsdlextension dep's version, xjc-plugin cannot resolve extension's dep's version by BOMs
- Add BR jvnet-parent

* Wed Feb 08 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.0-8_redhat_1.2
- Use new resolver package

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.4.0-8_redhat_1.1
- Do not reqire maven2 at run-time

* Wed Dec 21 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-8_redhat_1
- Add Requires for sub-packages
- Add dependencies and B(R)s for xml-commons-resolver12, relaxngDatatype, these are needed for runtime

* Tue Dec 20 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-7_redhat_1
- Update vman patch
- Add jpp-depmap for jtidy

* Thu Dec 01 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-6_redhat_1
- Add cxf-xjc-pl

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:2.4.0-5_redhat_1
- Fix cxf-xjc-plugin groupId

* Wed Nov 30 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-4_redhat_1
- Fix repolib

* Tue Nov 29 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-3_redhat_1
- Rebuild

* Tue Nov 29 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-2_redhat_1
- Add cxf-xjc-plugin and cxf-xjc-wsdlextension artifacts

* Tue Oct 25 2011 Hui Wang <huwang@redhat.com> - 0:2.4.0-1_redhat_1
- Upgrade tp 2.4.0

* Wed Sep 21 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-3
- Build for wolf

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-2
- Add workaround for deploy-file bug that causes wrong directory of cxf-xjc-boolean.pom and cxf-xjc-bug671.pom

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.2-1
- Upgrade to 2.3.2

* Thu Jul 28 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-3
- Rebuild

* Thu Jul 21 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-2
- Rebuild

* Tue Jul 19 2011 Hui Wang <huwang@redhat.com> - 0:2.3.0-1
- First release
